# Extra cryptographic material

## Client certs

### Valid certificate

Requires the system under test to trust certificates issued by this CA: [SUT_trusted_CA.pem](./SUT_trusted_CA.pem)

* [postmanCertificate_valid.pem](./postmanCertificate_valid.pem)
* [postmanCertificate_valid.key.pem](./postmanCertificate_valid.key.pem)

```shell
PORT=8443
DNS_NAME=casstubserver
curl \
  --insecure \
  --cert-type PEM \
  --cert postmanCertificate_valid.pem \
  --key postmanCertificate_valid.key.pem \
  --header "X-Request-ID: $REQUEST_ID" \
  --verbose \
  https://$DNS_NAME:$PORT/jwk_uri
```

### Expired certificate

Expired on 01/01/2024 but issued by the same [CA](./SUT_trusted_CA.pem) as the valid certificate above.

* [postmanCertificate_expired.pem](./postmanCertificate_expired.pem)
* [postmanCertificate_expired.key.pem](./postmanCertificate_expired.key.pem)

```shell
PORT=8443
DNS_NAME=casstubserver
openssl x509 -enddate -noout -in postmanCertificate_expired.pem
curl \
  --insecure \
  --cert-type PEM \
  --cert postmanCertificate_expired.pem \
  --key postmanCertificate_expired.key.pem \
  --header "X-Request-ID: $REQUEST_ID" \
  --verbose \
  https://$DNS_NAME:$PORT/jwk_uri
```

### Revoked certificate

Revoked certificate issued by the same [CA](./SUT_trusted_CA.pem) as the valid certificate above.

**TODO**

### Invalid certificate

* [postmanCertificate_invalid.pem](./postmanCertificate_invalid.pem)
* [postmanCertificate_invalid.key.pem](./postmanCertificate_invalid.key.pem)

```shell
PORT=8443
DNS_NAME=casstubserver
curl \
  --insecure \
  --cert-type PEM \
  --cert postmanCertificate_invalid.pem \
  --key postmanCertificate_invalid.key.pem \
  --header "X-Request-ID: $REQUEST_ID" \
  --verbose \
  https://$DNS_NAME:$PORT/jwk_uri
```
